Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
peripheral::PackageInfo::FirmwareInfo Struct Reference

## Classes
struct | Version

## Public Attributes
time | compileDate
| Date of firmware compilation (Deprecated: always returns 0)
Version | version
| Firmware version (0.0 if not applicable)
time | updateDate
| Date of device firmware update (Deprecated: always returns 0)
string | firmwareName
| firmware file name

## Detailed Description

Definition at line 31 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## ◆ compileDate

time peripheral::PackageInfo::FirmwareInfo::compileDate

Date of firmware compilation (Deprecated: always returns 0)

Definition at line 38 of file PeripheralDevicePackage.idl.

## ◆ firmwareName

string peripheral::PackageInfo::FirmwareInfo::firmwareName

firmware file name

Definition at line 41 of file PeripheralDevicePackage.idl.

## ◆ updateDate

time peripheral::PackageInfo::FirmwareInfo::updateDate

Date of device firmware update (Deprecated: always returns 0)

Definition at line 40 of file PeripheralDevicePackage.idl.

## ◆ version

Version peripheral::PackageInfo::FirmwareInfo::version

Firmware version (0.0 if not applicable)

Definition at line 39 of file PeripheralDevicePackage.idl.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl